## ros-jazzy-rcdiscover 1.1.7

=== debian/changelog ===
ros-jazzy-rcdiscover (1.1.7-2bookworm) bookworm; urgency=high

  * CI: remove bionic and appimage, add arm64 jammy
  * fix include cstdint for newer gcc versions

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 Mar 2024 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.6-2bookworm) bookworm; urgency=high

  * Always wait minimum of 1 seconds for getting responses to discovery request
  * CI, also build for jammy

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 08 Aug 2022 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.5-2bookworm) bookworm; urgency=high

  * Changing label of filter from "Only Roboception devices" to "Only rc_... devices"
  * Trying to create a CI build job for an appimage (not yet complete)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Jun 2022 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.4-2bookworm) bookworm; urgency=high

  * fix version in package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 15 Jul 2021 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.3-2bookworm) bookworm; urgency=high

  * use target_compile_features instead of CMAKE_CXX_STANDARD
  * fix installation destination for package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 15 Jul 2021 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.2-2bookworm) bookworm; urgency=high

  * update cmake files and packaging, requires cmake >= 3.1

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Jun 2021 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.1-2bookworm) bookworm; urgency=high

  * Ignore network unreachable socket error under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 16 Apr 2021 00:00:00 -0000

ros-jazzy-rcdiscover (1.1.0-2bookworm) bookworm; urgency=high

  * Treat all devices as comming from Roboception if model starts with either rc_visard or rc_cube

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 05 Feb 2021 00:00:00 -0000

ros-jazzy-rcdiscover (1.0.5-2bookworm) bookworm; urgency=high

  * Added building on CI for focal
  * persistently store window state

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 02 Oct 2020 00:00:00 -0000

ros-jazzy-rcdiscover (1.0.4-2bookworm) bookworm; urgency=high

  * only enable reset button and context menu entry for rc_visard devices
  * remove catkin build_export_depend from package.xml

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 04 Apr 2020 00:00:00 -0000

ros-jazzy-rcdiscover (1.0.3-2bookworm) bookworm; urgency=high

  * fix mapping of reachability flag in the GUI
  * more generic naming as it can also be used for other GEV devices
  * only show rc_visards in "reset" dialog

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 22 Mar 2020 00:00:00 -0000

ros-jazzy-rcdiscover (1.0.2-2bookworm) bookworm; urgency=high

  * Added filtering by model name in command line tool
  * Do not append alternative interface to output of cli if --serialonly or --iponly is given

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 12 Dec 2019 00:00:00 -0000

ros-jazzy-rcdiscover (1.0.1-2bookworm) bookworm; urgency=high

  * rename CMAKE options from INSTALL_x to BUILD_x
  * improve debian packaging via CPack

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Sep 2019 00:00:00 -0000

ros-jazzy-rcdiscover (1.0.0-2bookworm) bookworm; urgency=high

  * fix wildcard matching
  * allow filtering by interface
  * print interface on which the device was found
  * also build shared lib for use in other packages
  * make it possible to release as ROS third party package

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 04 Jun 2019 00:00:00 -0000

ros-jazzy-rcdiscover (0.9.2-2bookworm) bookworm; urgency=high

  * GUI: fix WebGUI cannot be opened via context menu (GitHub issue #4)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 10 Jan 2019 00:00:00 -0000

ros-jazzy-rcdiscover (0.9.0-2bookworm) bookworm; urgency=high

  * CLI: print model
  * extend CLI interface (SW-302)
    * reset
    * forceip
    * reconnect
  * show model on GUI (SW-300)
  * GUI: show complete package version in about dialog
  * fixed hidden buttons for Ubuntu Bionic

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 19 Dec 2018 00:00:00 -0000

ros-jazzy-rcdiscover (0.8.0-2bookworm) bookworm; urgency=high

  * add opying device info to clipboard
  * add device filter text field
  * Changed some dialog workflows
  * Added KUKA to manufacturer filter

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 12 Nov 2018 00:00:00 -0000

ros-jazzy-rcdiscover (0.7.0-2bookworm) bookworm; urgency=high

  * Added possibility to filter for name, serial number and mac address to command line tool
  * include <array> in utils

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 05 Jan 2018 00:00:00 -0000

ros-jazzy-rcdiscover (0.6.0-2bookworm) bookworm; urgency=high

  * add force IP command: setting of temporary IP address
  * add -serialonly flag for command line tool

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 09 Nov 2017 00:00:00 -0000

ros-jazzy-rcdiscover (0.5.0-2bookworm) bookworm; urgency=high

  * Optional disabling of RP filtering during installation on Ubuntu
  * Directed broadcasts on Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 29 Sep 2017 00:00:00 -0000

ros-jazzy-rcdiscover (0.4.2-2bookworm) bookworm; urgency=high

  * add Desktop files and icons for debian
  * Disabled vectorization and binding to CUDA

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 31 Aug 2017 00:00:00 -0000

ros-jazzy-rcdiscover (0.4.1-2bookworm) bookworm; urgency=high

  * Fixed bug that prevented the main window from being closed once the help dialog was opened from the reset dialog

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Aug 2017 00:00:00 -0000

ros-jazzy-rcdiscover (0.4.0-2bookworm) bookworm; urgency=high

  * Help buttons

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 04 Aug 2017 00:00:00 -0000

ros-jazzy-rcdiscover (0.3.2-2bookworm) bookworm; urgency=high

  * Build console application as Windows console application
  * Sign with SHA512


